| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCrossHalo Struct Reference
[Lighting]

This is a halo which resembles a cross. More...

`#include <iengine/halo.h>`

Inheritance diagram for iCrossHalo:

[legend]
List of all members.

## Public Member Functions
virtual float | GetCrossFactor ()=0
| Get cross factor.
virtual float | GetIntensityFactor ()=0
| Get intensity factor.
virtual void | SetCrossFactor (float i)=0
| Set cross factor.
virtual void | SetIntensityFactor (float i)=0
| Set intensity factor.

## Detailed Description

This is a halo which resembles a cross.

Definition at line 64 of file halo.h.

## Member Function Documentation

virtual float iCrossHalo::GetCrossFactor | ( |  | ) | `[pure virtual]`

Get cross factor.

virtual float iCrossHalo::GetIntensityFactor | ( |  | ) | `[pure virtual]`

Get intensity factor.

virtual void iCrossHalo::SetCrossFactor | ( | float | i | ) | `[pure virtual]`

Set cross factor.

virtual void iCrossHalo::SetIntensityFactor | ( | float | i | ) | `[pure virtual]`

Set intensity factor.

The documentation for this struct was generated from the following file:

- iengine/halo.h